﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v13.1, Version=13.1.20131.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>WebDataGrid CheckBox Column Sorting Sample</title>
    <script type="text/javascript" id="igClientScript">
<!--

        function WebDataGrid1_Grid_KeyDown(sender, eventArgs) {

            var editedColumn = "";
            if (sender.get_behaviors().get_editingCore().get_behaviors().get_cellEditing().get_cellInEditMode() != null) {
                editedColumn = sender.get_behaviors().get_editingCore().get_behaviors().get_cellEditing().get_cellInEditMode().get_column().get_key();
            }
            if (editedColumn == "Name") {
                if (eventArgs.get_browserEvent().keyCode == 9 || eventArgs.get_browserEvent().keyCode == 13) {

                    eventArgs.set_cancel(true);

                }
            }
        }



function WebDataGrid1_CellEditing_ExitingEditMode(sender, eventArgs)
{

    if (eventArgs.getCell().get_column().get_key() == "Name") {
        if (eventArgs.get_browserEvent().keyCode == 9 || eventArgs.get_browserEvent().keyCode == 13) {
            eventArgs.set_cancel(true);         
        }
    }
    
}
// -->
</script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="sm" runat="server" />
            <ig:WebDataGrid Width="700px" ID="WebDataGrid1" runat="server" Height="450px" AutoGenerateColumns="False"
                ItemCssClass="noWrapCellStyle">
                <EditorProviders>
                    <ig:TextBoxProvider ID="WebDataGrid1_TextBoxProvider1">
                        <EditorControl ClientIDMode="Predictable" TextMode="MultiLine"></EditorControl>
                    </ig:TextBoxProvider>
                </EditorProviders>
                <ClientEvents KeyDown="WebDataGrid1_Grid_KeyDown" />
                <Behaviors>
                    <ig:Activation>
                    </ig:Activation>
                    <ig:EditingCore  AutoCRUD="true">
                        <Behaviors>
                            <ig:CellEditing>
                                <ColumnSettings>
                                    <ig:EditingColumnSetting ColumnKey="Site" EditorID="WebDataGrid1_TextBoxProvider1" />
                                </ColumnSettings>
                                <CellEditingClientEvents ExitingEditMode="WebDataGrid1_CellEditing_ExitingEditMode" />
                                <EditModeActions EnableOnActive="True" />
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                </Behaviors>
                <Columns>
                    <ig:BoundDataField Key="EmployeeID" Header-Text="EmployeeID">
                        <Header Text="EmployeeID"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="Name" Header-Text="Name">
                        <Header Text="Name"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="OnSite" Header-Text="OnSite">
                        <Header Text="OnSite"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="DateOfHire" Header-Text="DateOfHire">
                        <Header Text="DateOfHire"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="Department" Header-Text="Department">
                        <Header Text="Department"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="Site" Header-Text="Site" EnableMultiline="True">
                        <Header Text="Site"></Header>
                    </ig:BoundDataField>
                </Columns>
            </ig:WebDataGrid>
    </div>
    </form>
</body>
</html>
